local fn = _gn(0x377906D8A31E5586)
--- Does the same as [START_SHAPE_TEST_LOS_PROBE](#\_0x7EE9F5D83DD4F90E), except blocking until the shape test completes.
-- Use [START_SHAPE_TEST_LOS_PROBE](#\_0x7EE9F5D83DD4F90E) instead. Literally. Rockstar named this correctly: it's expensive, and it's synchronous.
-- @param x1 Starting X coordinate.
-- @param y1 Starting Y coordinate.
-- @param z1 Starting Z coordinate.
-- @param x2 Ending X coordinate.
-- @param y2 Ending Y coordinate.
-- @param z2 Ending Z coordinate.
-- @param flags See [START_SHAPE_TEST_LOS_PROBE](#\_0x7EE9F5D83DD4F90E).
-- @param entity An entity to ignore, or 0.
-- @param p8 A bit mask with bits 1, 2 and/or 4, relating to collider types. 4 should usually be used.
-- @return A shape test handle.
function Global.CastRayPointToPoint(x1, y1, z1, x2, y2, z2, flags, entity, p8)
	return _in2(fn, x1, y1, z1, x2, y2, z2, flags, entity, p8, _ri)
end
